import { ChatsActions } from './types'
import { appChatsSrvProxy } from '@/services/services-provider'

export const createChat: ChatsActions['createChat'] = async function (this, { chatId, members, admins, name = '' }) {
  console.log('\nCLIENT. CREATE CHAT: ', chatId, name, members, admins)
  let newChatId = ''
  try {
    newChatId = await appChatsSrvProxy.createChat({ chatId, members, admins, name })
    console.log('\n(CLIENT) CREATE CHAT WITH ', members.join(', '))
    await this.getChatList()
  } catch (e) {
    console.error('CREATE CHAT ERROR: ', e)
  }
  return newChatId
}
